Bug 1460736 - ISO domain images are not displayed
ISO domain images are not displayed
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.1
Assigned To: Moti Asayag
Ilanit Stein
rhev, iso datastore
: ZStream
Depends On: 1447560
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 10:44 EDT by Satoe Imaishi
Modified: 2017-08-02 13:30 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1447560
Environment:
Last Closed: 2017-08-02 13:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-12 10:46:21 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/09b727d8ba148ec0ed3c0f5947d0dc1faf320578

commit 09b727d8ba148ec0ed3c0f5947d0dc1faf320578
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Thu May 18 14:11:48 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 10:23:59 2017 -0400

    Merge pull request #34 from borod108/iso_datasote_sdk_support
    
    Fix fetching ISO images from non active domains
    (cherry picked from commit e0d7e04a010da330e625d5f5f291283571bff101)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460736

 .../redhat/infra_manager/api_integration.rb        |  4 +-
 .../infra_manager/ovirt_services/strategies/v3.rb  | 10 +++
 .../infra_manager/ovirt_services/strategies/v4.rb  | 22 +++++++
 .../ovirt_services/strategies/v4_spec.rb           | 73 ++++++++++++++++++++++
 4 files changed, 107 insertions(+), 2 deletions(-)
 create mode 100644 spec/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4_spec.rb
Comment 3 CFME Bot 2017-06-12 10:51:04 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/bd44ed8e497a4f06294d7a8a75f348ed24204a4b

commit bd44ed8e497a4f06294d7a8a75f348ed24204a4b
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue May 23 08:15:57 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 10:46:49 2017 -0400

    Merge pull request #15053 from borod108/remove_v3_dependency
    
    Fix fetching non active ISO domains
    (cherry picked from commit f0094c9a71ed63b5646eb8e17285fc4c57b8fc38)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460736

 app/models/iso_datastore.rb       | 11 ++---------
 spec/models/iso_datastore_spec.rb | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 9 deletions(-)
 create mode 100644 spec/models/iso_datastore_spec.rb
Comment 5 Ilanit Stein 2017-06-29 08:27:31 EDT
Verified on CFME-5.8.1.0/RHV-4.1.3

Connected from CFME to a RHV that have 2 ISO domains (1 active, 1 inactive)
Compute->PXE->Add new ISO data store - Collects the active one.

Then, remove this ISO datastore.

Switched on RHV side, the ISO domains active<-> inactive
Compute->PXE->Add new ISO data store - Collects the recent active one.
Comment 7 errata-xmlrpc 2017-08-02 13:30:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.